classification
Title: pyexpat patch for changing buffer_size
Type: Stage:
Components: XML Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: akuchling Nosy List: AchimGaedke, akuchling
Priority: normal Keywords: patch

Created on 2007-09-09 16:40 by AchimGaedke, last changed 2008-01-08 22:58 by AchimGaedke. This issue is now closed.

Files
File name Uploaded Description Edit
pyexpat_c_patch AchimGaedke, 2007-09-09 16:40
pyexpat_test_patch AchimGaedke, 2007-09-09 16:41
pyexpat_doc_patch AchimGaedke, 2007-09-09 16:42
simpler_patch.txt akuchling, 2008-01-07 21:09 Simplified version
pyexpat-patch2.txt akuchling, 2008-01-07 21:36 Complete, simplified version
Messages (5)
msg55767 - (view) Author: Achim Gaedke (AchimGaedke) Date: 2007-09-09 16:40
Hello!

Sometimes people have big amounts of text/data in xml files. To make
processing more effective, they should be able to change the buffer size
for collecting character data in one string.

Here comes a patch that applies necessary changes in setattr method. It
handles reallocation sufficiently efficient without introducing extra
variables to the parser class.

Also a documentation patch and some test cases are available.

These patches and tests were done with debian etch python2.5, which is
python-2.5.1 . This patch also works on python2.4 .
msg59494 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-01-07 21:09
Here's a simpler, but still untested version of the patch that cuts out 
the various cases for reallocating when there's already buffered data
and just does a flush every time.
msg59497 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-01-07 21:36
Here's another update of the simplified version, that also updated the
documentation patch for reST and updates the test for the current code.
msg59538 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-01-08 14:34
Committed to the trunk in rev. 59853.

AchimGaedke: thanks for your contribution!  Also, please submit a signed
copy of the
contributor agreement when you can: see
http://www.python.org/psf/contrib/ for details.
msg59571 - (view) Author: Achim Gaedke (AchimGaedke) Date: 2008-01-08 22:58
Also the shortend version will bring better performance.
Thanks!
History
Date User Action Args
2008-01-08 22:58:17AchimGaedkesetmessages: + msg59571
2008-01-08 14:34:01akuchlingsetstatus: open -> closed
resolution: accepted
messages: + msg59538
versions: + Python 2.6, - Python 2.5
2008-01-07 21:36:26akuchlingsetfiles: + pyexpat-patch2.txt
messages: + msg59497
2008-01-07 21:09:35akuchlingsetfiles: + simpler_patch.txt
messages: + msg59494
2007-09-17 09:12:58jafosetpriority: normal
assignee: akuchling
nosy: + akuchling
2007-09-09 16:49:29loewissetkeywords: + patch
2007-09-09 16:42:18AchimGaedkesetfiles: + pyexpat_doc_patch
2007-09-09 16:41:57AchimGaedkesetfiles: + pyexpat_test_patch
2007-09-09 16:40:11AchimGaedkecreate